package com.huimv.env.environ.dao.repo;

import com.huimv.env.environ.dao.entity.EnvDayEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

public interface EnvDayRepo extends JpaRepository<EnvDayEntity, Integer>, JpaSpecificationExecutor<EnvDayEntity> {

    //
    @Query(nativeQuery = true,value ="SELECT * FROM env_day where farm_id=?1 AND add_date=?2 ORDER BY add_date DESC LIMIT ?3")
    List<EnvDayEntity> findByFarmIdAndAddDate(Integer farmId, Date todayDate,Integer days);
}